<?php

Yii::import('application.models._base.BaseEntity');

class Entity extends BaseEntity
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}
	
	public function relations() {

		return array(

		  //BELONGS_TO: FK is in THIS class
		  'belongs_to_entitytype' => array(self::BELONGS_TO, 'Entitytype','id_entitytype'),
			'has_many_valuestring' => array(self::HAS_MANY, 'ValueString','id_entity'),
			'has_many_valueint' => array(self::HAS_MANY, 'ValueInt','id_entity'),
			'has_many_valuedate' => array(self::HAS_MANY, 'ValueDate','id_entity'),
			'has_one_user' => array(self::HAS_ONE, 'User','id_entity'), 
		);

	}	
}
