<?php

/** 
 * view update/index
 * 
 * Params:
 * $updateModelClass
 * $updatePk - string|array 
 * 
 */
//echo $updateModelClass . ',' . $updatePk;
if (@$updateModelClass && @$updatePk) {
  
  $id_view = $this->getViewId();
  $id_form = $id_view . '_form';
  $id_pickercontainer = $id_view . '_pickercontainer';

	$s_updatePk = CJSON::encode($updatePk);
	$model = XcruderActiveRecord::xpFindByPk($updatePk, $updateModelClass, false);
?>

<table class="xpando-form-holder"><tbody><tr><td>

<div class="form">

<%= XcruderHtml::xpFormSuccess(@$success) %>
<%= XcruderHtml::xpFormError(@$error) %>

<?php

$form = XcruderHtml::xpBeginForm(
	$this,
	'update/update',
	$id_form,
	'update-form pickerupdateable',
	$update_grid_id
);

echo $form->errorSummary($model);
		
echo XcruderHtml::hiddenField("updateModelClass", $updateModelClass );
echo XcruderHtml::hiddenField("updatePk", $s_updatePk );

?>

<fieldset>
	<legend>update <%= $updateModelClass %> <%= $s_updatePk %></legend>
	
<?php 
foreach($model->attributes as $colname=>$colvalue) {
	$dbColumn = $model->tableSchema->columns[$colname];
	//echo'<pre>';print_r( $dbColumn );echo'</pre>';
?>

	<div class="row">

		<%= $form->labelEx($model, $colname) %> <span class="coltype"><%= $dbColumn->dbType %></span>

		<span class="fieldvalue">
			<%= $form->xpActiveField($model, $colname) %>
		</span>

	</div>
	
<?php 
}//foreach
?>

	<div class="row">
		<%= XcruderHtml::xpSubmitButton($form) %>
		<%= XcruderHtml::xpResetButton($form) %>
		<%= XcruderHtml::xpCancelButton($form) %>
	</div>

</fieldset>

<?php XcruderHtml::xpEndForm($this); ?>

</div>

</td><td>

<div id="<%= $id_pickercontainer %>" class="pickercontainer"></div>

</td></tr></tbody></table>

<?php 

} else { ?>

no model class given

<?php } ?>
