<?php

Yii::import('application.models._base.BaseEntitytype');

class Entitytype extends BaseEntitytype
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function relations() {

		return array(

		  //N:M relation with the Feature model, connector table is Entitytype_feature
		  'has_many_feature' => array(self::MANY_MANY, 'Feature', '{{entitytype_feature}}(id_entitytype,id_feature)'
				//'alias'=>'f',//default:'has_many_feature', the rel.name,
				//'index'=>'id',//will be used as index of the relation array
				//'select'=>'f.id,f.name',//columns to be selected
				//'condition'=>'f.id>7',//WHERE clause
				//'order'=>'f.id asc',
				//'joinType'=>'LEFT OUTER JOIN',
				//'params'=>''//???
		  ),

			//
			//HAS_MANY: FK is in the OTHER class
			'has_many_entity'=>array(self::HAS_MANY,'Entity','id_entitytype')
		);
	}

	public function representingColumns() {
		return array('id','name');
	}
}
