<?php
$this->breadcrumbs = array(
	'Entitytypes' => array('index'),
	GxHtml::valueEx($model),
);

$this->menu=array(
	array('label'=>Yii::t('app', 'List') . ' Entitytype', 'url'=>array('index')),
	array('label'=>Yii::t('app', 'Create') . ' Entitytype', 'url'=>array('create')),
	array('label'=>Yii::t('app', 'Update') . ' Entitytype', 'url'=>array('update', 'id' => $model->id)),
	array('label'=>Yii::t('app', 'Delete') . ' Entitytype', 'url'=>'#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->id), 'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>Yii::t('app', 'Manage') . ' Entitytype', 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('app', 'View'); ?> Entitytype #<?php echo GxHtml::encode(GxHtml::valueEx($model)); ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data' => $model,
	'attributes' => array(
'id',
'name',
'system',
	),
)); ?>

<h2>Features</h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->has_many_feature as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('feature/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?><h2>Entities</h2>
<?php
	echo GxHtml::openTag('ul');
	foreach($model->has_many_entity as $relatedModel) {
		echo GxHtml::openTag('li');
		echo GxHtml::link(GxHtml::encode(GxHtml::valueEx($relatedModel)), array('entity/view', 'id' => GxActiveRecord::extractPkValue($relatedModel, true)));
		echo GxHtml::closeTag('li');
	}
	echo GxHtml::closeTag('ul');
?>
